# Execution Schedule

## About&#x20;

***

The execution schedule allows you to specify when and how a request should be executed.&#x20;

**Execution Schedule**

<table><thead><tr><th width="176">Property</th><th>Description</th></tr></thead><tbody><tr><td>executeAt</td><td>The date when the request should be executed.</td></tr><tr><td>executeIn</td><td>The time in milliseconds after which the request should be executed.</td></tr><tr><td>executeUntil</td><td>The maximum date when the request should be executed (for AT_EASE and PRIORITIZED priorities).</td></tr></tbody></table>

## executeAt

***

The `executeAt` property specifies the exact date and time for the request execution.&#x20;

This property enables the definition of a desired date for request execution. It proves beneficial when expecting a delayed execution. However, the actual execution date may also depend on the request priority. In instances where the [Execution Options](/sdk/request/execution-options.md#priority) is not INSTANT, delays may occur based on the system load.

> ❗️**Note:**  In case when Date is invalid or less then now the request will ignore this proprty.

## executeIn

***

The `executeIn` property specifies the time delay, in milliseconds, after which the request should be executed. In scenarios where execution is expected within hours or minutes, you can utilize this alternative field.

## executeUntill

***

The `executeUntil` property defines the maximum date and time for request execution, particularly relevant for AT\_EASE and PRIORITIZED priorities.

> ❗️**Note:**  In cases when the Date provided is't compatible with request priority the field will be ignored. For example, if the priority is AT\_EASE and date is 1 minute ahead -> the default behavior of AT\_EASE will be used.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloud4.ai/sdk/request/execution-schedule.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
